# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

category:
  # Should you enable a category gui meaning players will have to sort their warp into a category?
  enabled: true
  # If you don't want the category menu to be disabled entirely, but you don't want it to open up on prompt
  # then you can select the default category it'll open up or set it to main if you want the main menu.
  prompt-category: "main"
  # What is the name of the gui? 
  name: "category"
  # The title of the gui (Can use color codes)
  title: "&a&lPlayer Warps"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 27
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []
  # What is the default category for a warp to be placed into?
  default: "other"
  # For when a player doesn't have permission for that category.
  no-permission:
    # If a player does not have access to view the category, should the item be replaced?
    enabled: true
    item:
      # Set the material to AIR if you dont want the item to appear.
      name: "&cNo permission!"
      material: "BARRIER"
      data: 0
      lore:
      - "&cYou cannot view this category."
      amount: 1
  # Do you want the plugin to automatically create sub commands for each category? for example /pw <category> to open that category gui.
  register-category-commands: false

  sponsor:
    # Should sponsor warps be enabled?
    enabled: true
    # If enabled, should the sponsor warps show in the main player warp menu?
    appear-playerwarp: false
    # When a player cancels the sponsor with the permission "pw.admin.sponsor", should it refund the players money?
    # This will only work if you have the economy as money and not items.
    cancel-refund: false
    # The item that will appear when the warp is being sponsored.
    item:
      # Should the icon show the customized icon by the player via /pwarp icon if its been set?
      show-custom-icon: true
      name: "&a[warp]"
      lore:
      - "&a[delsponsor]"
      - " "
      - "&aOwner: &d[owner]"
      - "&aLocation: &d[world], [location]"
      - "&aVisits: &d[visits]"
      - "&aDescription: "
      - "&d[desc]"
      - "&aTeleport Cost: &d[cost]"
      - " "
      - "&aTime: &d[time]"
      # The variable "[delsponsor]" will display the message below if they do have permission to delete the sponsor warp.
      del-sponsor: "&dRight+Shift&a to remove this sponsor.\n[safe]"
      # The variable "[delsponsor]" will display the message below if they don't have permission to delete the sponsor warp.
      del-not-sponsor: "&c[safe]"

    # The item that will appear when the player is on cooldown.
    cooldown:
      name: "&cSponsor cooldown"
      material: "BARRIER"
      data: 0
      lore:
      - "&cYou are currently on cooldown! You have [cooldown] left."
      amount: 1

  items:
    1:
      name: "&aFavourite"
      material: "NETHER_STAR"
      data: 0
      lore:
      - "&dClick&a to view your favourite warps."
      slot: 0
      amount: 1
      commands:
      - "[player] pwarp open favourite"
      glowing: false
    2:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 1
      amount: 1
    3:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 2
      amount: 1
    4:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 3
      amount: 1
    5:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 5
      amount: 1
    6:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 6
      amount: 1
    7:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 7
      amount: 1
    8:
      name: "&aVisited Warps"
      material: "ENDER_EYE"
      data: 0
      lore:
      - "&dClick&a to view your visited warps."
      slot: 8
      amount: 1
      commands:
      - "[player] pwarp open visitedwarps"
    9:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 9
      amount: 1
    10:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 17
      amount: 1
    11:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 18
      amount: 1
    12:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 19
      amount: 1
    13:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 20
      amount: 1
    14:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 21
      amount: 1
    15:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 22
      amount: 1
    16:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 23
      amount: 1
    17:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 24
      amount: 1
    18:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 25
      amount: 1
    19:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 26
      amount: 1
    # What are the items that are placed into the GUI to make it more pretty?
      # This is the name of the item.
      # This is the item material.
      # This is the data item
      # What is the lore of item?
      # You can add lores!
      # example of what you can do:
      # lore:
      #   - "&bThis is a pane."
      # What is the stack amount?
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner

  category-items:
    all:
      name: "&aAll Warps"
      material: "BOOK"
      data: 0
      lore:
      - "&dClick&a to view all the warps."
      slot: 4
      amount: 1
      glowing: false
    houses:
      name: "&aHouse Warps"
      material: "OAK_PLANKS"
      data: 0
      lore:
      - "&dClick&a to view all the house warps."
      slot: 11
      amount: 1
    shops:
      name: "&aShop Warps"
      material: "CHEST"
      data: 0
      lore:
      - "&dClick&a to view all the shop warps."
      slot: 12
      amount: 1
      permission: "pw.view.shop"
    farms:
      name: "&aFarm Warps"
      material: "DIAMOND_HOE"
      data: 0
      lore:
      - "&dClick&a to view all the farm warps."
      slot: 13
      amount: 1
    pvp:
      name: "&aPvP Warps"
      material: "DIAMOND_SWORD"
      data: 0
      lore:
      - "&dClick&a to view all the pvp warps."
      slot: 14
      amount: 1
    other:
      name: "&aOther Warps"
      material: "PAPER"
      data: 0
      lore:
      - "&dClick&a to view all the other warps."
      slot: 15
      amount: 1
    # What are the items to click on to go to a certain category?
    # The first category that is used here will be counted as the ALL category where ALL the warps are displayed. You can change the category names if you want.

      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      #commands:
      #  - "[server] msg %player% you clicked this item!"
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzIzZDFjNDVmNDlkZTllOGE4YTEzZDViOWMyYTU4ZDYxZjcyNTljZDQ2OGYzM2M0NzI0Njg2Y2FlODlhOTMifX19 - Skull texture
      #owner: All - Skull owner
      # All teleport prices by default will be 50 in this category menu.
      #teleport-price: 50

  sponsor-items:
    1:
      pay-in-price: true
      pay-item:
        material: "DIAMOND"
        amount: 100
      price: 30000
      time: 172800
      message: "&aPlease enter the warp name you would like to set."
      available-commands: []
      sponsored-commands: []
      auto: "false:online=true"
      item:
        name: "&aSponsor slot #1"
        material: "NETHER_STAR"
        data: 0
        lore:
        - "&dClick&a to purchase this sponsor slot."
        - " "
        - "&aPrice: &d$30,000"
        - "&aTime for: &d2 days"
        slot: 20
        amount: 1
    2:
      pay-in-price: true
      pay-item:
        material: "DIAMOND"
        amount: 50
      price: 17000
      time: 86400
      message: "&aPlease enter the warp name you would like to set."
      available-commands: []
      sponsored-commands: []
      auto: "false:online=true"
      item:
        name: "&aSponsor slot #2"
        material: "NETHER_STAR"
        data: 0
        lore:
        - "&dClick&a to purchase this sponsor slot."
        - " "
        - "&aPrice: &d$17,000"
        - "&aTime for: &d1 day"
        slot: 21
        amount: 1
    3:
      pay-in-price: true
      pay-item:
        material: "DIAMOND"
        amount: 35
      price: 9000
      time: 43200
      message: "&aPlease enter the warp name you would like to set."
      available-commands: []
      sponsored-commands: []
      auto: "false:online=true"
      item:
        name: "&aSponsor slot #3"
        material: "NETHER_STAR"
        data: 0
        lore:
        - "&dClick&a to purchase this sponsor slot."
        - " "
        - "&aPrice: &d$9,000"
        - "&aTime for: &d12 hours"
        slot: 22
        amount: 1
    4:
      pay-in-price: true
      pay-item:
        material: "DIAMOND"
        amount: 10
      price: 6000
      time: 21600
      message: "&aPlease enter the warp name you would like to set."
      available-commands: []
      sponsored-commands: []
      auto: "false:online=true"
      item:
        name: "&aSponsor slot #4"
        material: "NETHER_STAR"
        data: 0
        lore:
        - "&dClick&a to purchase this sponsor slot."
        - " "
        - "&aPrice: &d$6,000"
        - "&aTime for: &d6 hours"
        slot: 23
        amount: 1
    5:
      pay-in-price: true
      pay-item:
        material: "DIAMOND"
        amount: 1
      price: 1000
      time: 3600
      message: "&aPlease enter the warp name you would like to set."
      available-commands: []
      sponsored-commands: []
      auto: "false:online=true"
      item:
        name: "&aSponsor slot #5"
        material: "NETHER_STAR"
        data: 0
        lore:
        - "&dClick&a to purchase this sponsor slot."
        - " "
        - "&aPrice: &d$1,000"
        - "&aTime for: &d1 hour"
        slot: 24
        amount: 1
      # Time in seconds
      # If this is empty, it will allow all categories.
      # If you want this sponsor to only be available for certain categories, you can add them here.
        # What are the currencies that the player can pay with, if empty it will just use Vault.
        # If you want to use the item currency, make sure you have the item in the item section below.
        # If your plugin supports internal currencies, you can separate the internal currency using ":". For example. EcoBits:Market
        # currencies: ["vault", "item"]

      # Time in seconds
      # If this is empty, it will allow all categories.
      # If you want this sponsor to only be available for certain categories, you can add them here.
        # What are the currencies that the player can pay with, if empty it will just use Vault.
        # If you want to use the item currency, make sure you have the item in the item section below.
        # If your plugin supports internal currencies, you can separate the internal currency using ":". For example. EcoBits:Market
        # currencies: ["vault", "item"]

      # Time in seconds
      # If this is empty, it will allow all categories.
      # If you want this sponsor to only be available for certain categories, you can add them here.
        # What are the currencies that the player can pay with, if empty it will just use Vault.
        # If you want to use the item currency, make sure you have the item in the item section below.
        # If your plugin supports internal currencies, you can separate the internal currency using ":". For example. EcoBits:Market
        # currencies: ["vault", "item"]

      # If this is empty, it will allow all categories.
      # If you want this sponsor to only be available for certain categories, you can add them here.
        # What are the currencies that the player can pay with, if empty it will just use Vault.
        # If you want to use the item currency, make sure you have the item in the item section below.
        # If your plugin supports internal currencies, you can separate the internal currency using ":". For example. EcoBits:Market
        # currencies: ["vault", "item"]

      # Time in seconds
      # If this is empty, it will allow all categories.
      # If you want this sponsor to only be available for certain categories, you can add them here.
        # What are the currencies that the player can pay with, if empty it will just use Vault.
        # If you want to use the item currency, make sure you have the item in the item section below.
        # If your plugin supports internal currencies, you can separate the internal currency using ":". For example. EcoBits:Market
        # currencies: ["vault", "item"]

